Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602644 - dev-python/execnet-1.4.1 with dev-python/gevent fails tests
Summary: dev-python/execnet-1.4.1 with dev-python/gevent fails tests
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2016-12-14 13:20 UTC by eroen
Modified: 2016-12-15 05:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,78.05 KB, text/plain)
2016-12-14 13:20 UTC, eroen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2016-12-14 13:20:57 UTC
Created attachment 456178 [details]
build.log

The failing tests are skipped if dev-python/gevent is not installed.


>>> Test phase: dev-python/execnet-1.4.1
 * python2_7: running distutils-r1_run_phase python_test
============================= test session starts ==============================
platform linux2 -- Python 2.7.12, pytest-3.0.3, py-1.4.30, pluggy-0.4.0
gateway test setup scope: session
execnet: /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1-python2_7/lib/execnet/__init__.py -- 1.4.1
rootdir: /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1, inifile: tox.ini
collected 944 items

testing/test_basics.py ...............sss.ss.sss.ss.sss.ss.......
testing/test_channel.py ..s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s.
testing/test_gateway.py ..s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s...s......s.ss
testing/test_multi.py ..s.xx
testing/test_termination.py .sss.ss.xsssxss
testing/test_threadpool.py ......x.......
testing/test_basics.py sssssssssssssssssssss
testing/test_channel.py ssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssss
testing/test_gateway.py sssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssssss
testing/test_multi.py ssssss
testing/test_termination.py sssssssssssssss
testing/test_threadpool.py ssssssssssssss
testing/test_basics.py .sssxss.sssxss.......
testing/test_channel.py .Exception AttributeError: "class Gateway has no attribute '_trace'" in <bound method Channel.__del__ of <Channel id=1 open>> ignored
Fs..Fs..Fs..Fs..Fs..Fs..Fs...s...s..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs...s.
testing/test_gateway.py ..s...s..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs..Fs......s.ss
testing/test_multi.py ..s.xx
testing/test_termination.py .sssxssxxsssxss
testing/test_threadpool.py ......x......s
testing/test_basics.py .sss.ss.sss.ss............sss.ss..
testing/test_channel.py .s
testing/test_compatibility_regressions.py .
testing/test_fixes.py ..
testing/test_gateway.py .............s
testing/test_multi.py ..............
testing/test_rsync.py ...........
testing/test_serializer.py .......................................
testing/test_termination.py ..sss.ss
testing/test_xspec.py ..................ss..ssss.
=========================== short test summary info ============================
XFAIL testing/test_multi.py::test_safe_terminate[thread]
  reason: execution model 'thread' does not support task count
XFAIL testing/test_multi.py::test_safe_terminate2[thread]
  reason: execution model 'thread' does not support task count
XFAIL testing/test_termination.py::test_terminate_implicit_does_trykill[thread-sys.executable]
  reason: only os threading model supported
XFAIL testing/test_termination.py::test_terminate_implicit_does_trykill[thread-python2.7]
  reason: only os threading model supported
XFAIL testing/test_threadpool.py::test_limited_size[thread]
  WorkerPool does not implement limited size
XFAIL testing/test_basics.py::test_io_message[gevent-python2.7]
  reason: cannot run 'gevent' execmodel with bare python2.7
XFAIL testing/test_basics.py::test_popen_io[gevent-python2.7]
  reason: cannot run 'gevent' execmodel with bare python2.7
XFAIL testing/test_multi.py::test_safe_terminate[gevent]
  reason: execution model 'gevent' does not support task count
XFAIL testing/test_multi.py::test_safe_terminate2[gevent]
  reason: execution model 'gevent' does not support task count
XFAIL testing/test_termination.py::test_exit_blocked_slave_execution_gateway[gevent-python2.7]
  reason: cannot run 'gevent' execmodel with bare python2.7
XFAIL testing/test_termination.py::test_endmarker_delivery_on_remote_killterm[gevent]
  reason: test and execnet not compatible to greenlets yet
XFAIL testing/test_termination.py::test_terminate_implicit_does_trykill[gevent-sys.executable]
  reason: only os threading model supported
XFAIL testing/test_termination.py::test_terminate_implicit_does_trykill[gevent-python2.7]
  reason: cannot run 'gevent' execmodel with bare python2.7
XFAIL testing/test_threadpool.py::test_limited_size[gevent]
  WorkerPool does not implement limited size
SKIP [17] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:148: no python3.2 found
SKIP [1] testing/test_gateway.py:416: condition: sys.version<"3.0"
SKIP [17] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:148: no python2.6 found
SKIP [17] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:148: no jython found
SKIP [17] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:148: no python3.3 found
SKIP [17] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:148: no pypy found
SKIP [1] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/test_threadpool.py:186: can only run with threading
SKIP [1] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/test_xspec.py:209: Vagrant binary not in PATH
SKIP [1] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/test_xspec.py:162: cpython2.5 not found
SKIP [107] /usr/lib64/python2.7/site-packages/_pytest/config.py:1147: no 'gspecs' option found
SKIP [1] testing/test_channel.py:372: condition: sys.version<"3.0"
SKIP [237] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:200: could not import 'eventlet'
SKIP [1] /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/test_xspec.py:176: cpython2.6 not found

=================================== FAILURES ===================================
________ TestChannelBasicBehaviour.test_serialize_error[gevent-socket] _________

self = <test_channel.TestChannelBasicBehaviour instance at 0x7fddccf8c908>
gw = <Gateway id='socket' receive-live, thread model, 1 active channels>

    def test_serialize_error(self, gw):
>       ch = gw.remote_exec("channel.send(ValueError(42))")

testing/test_channel.py:16: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
../execnet-1.4.1-python2_7/lib/execnet/gateway.py:129: in remote_exec
    gateway_base.dumps_internal((source, call_name, kwargs)))
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <Gateway id='socket' receive-live, thread model, 1 active channels>
msgcode = 3, channelid = 119
data = 'M\x00\x00\x00\x1cchannel.send(ValueError(42))LJ@\x00\x00\x00\x03Q'

    def _send(self, msgcode, channelid=0, data=bytes()):
        message = Message(msgcode, channelid, data)
        try:
            message.to_io(self._io)
            self._trace('sent', message)
        except (IOError, ValueError):
            e = sys.exc_info()[1]
            self._trace('failed to send', message, e)
            # ValueError might be because the IO is already closed
>           raise IOError("cannot send (already closed?)")
E           IOError: cannot send (already closed?)

../execnet-1.4.1-python2_7/lib/execnet/gateway_base.py:990: IOError
 TestChannelBasicBehaviour.test_channel_close_and_then_receive_error[gevent-socket] 

self = <test_channel.TestChannelBasicBehaviour instance at 0x7fddccf640e0>
gw = <Gateway id='socket' receive-live, thread model, 2 active channels>

    def test_channel_close_and_then_receive_error(self, gw):
>       channel = gw.remote_exec('raise ValueError')

...

../execnet-1.4.1-python2_7/lib/execnet/gateway_base.py:990: IOError
============================ pytest-warning summary ============================
WI1 /var/tmp/portage/dev-python/execnet-1.4.1/work/execnet-1.4.1/testing/conftest.py:21 'pytest_runtest_setup' hook uses deprecated __multicall__ argument
WC1 None pytest_funcarg__specsocket: declaring fixtures using "pytest_funcarg__" prefix is deprecated and scheduled to be removed in pytest 4.0.  Please remove the prefix and use the @pytest.fixture decorator instead.
WC1 None pytest_funcarg__specssh: declaring fixtures using "pytest_funcarg__" prefix is deprecated and scheduled to be removed in pytest 4.0.  Please remove the prefix and use the @pytest.fixture decorator instead.
 43 failed, 452 passed, 435 skipped, 14 xfailed, 3 pytest-warnings in 27.60 seconds 
 * ERROR: dev-python/execnet-1.4.1::gentoo failed (test phase):
 *   Tests fail with python2.7
 * 
 * Call stack:
 *     ebuild.sh, line  115:  Called src_test
 *   environment, line 3653:  Called distutils-r1_src_test
 *   environment, line  964:  Called _distutils-r1_run_foreach_impl 'python_test'
 *   environment, line  301:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_test'
 *   environment, line 3161:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_test'
 *   environment, line 2266:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_test'
 *   environment, line 2264:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_test'
 *   environment, line  572:  Called distutils-r1_run_phase 'python_test'
 *   environment, line  896:  Called python_test
 *   environment, line 3532:  Called die
 * The specific snippet of code:
 *       py.test testing || die "Tests fail with ${EPYTHON}"
Comment 1 eroen 2016-12-14 13:21:31 UTC
localhost ~ # emerge --info '=dev-python/execnet-1.4.1::gentoo' gevent
Portage 2.3.0 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-4.9.3, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     4043380 total,   3773564 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 14 Dec 2016 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx mmxext modules multilib ncurses nls nptl openmp pam pcre readline seccomp session sse sse2 ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-python/gevent-1.0.1::gentoo was built with the following:
USE="-doc -examples" ABI_X86="64" PYTHON_TARGETS="python2_7"
CFLAGS="-O2 -pipe -fno-strict-aliasing"
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"

localhost ~ # emerge -pqv '=dev-python/execnet-1.4.1::gentoo' gevent
[ebuild  N    ] dev-python/execnet-1.4.1  USE="{test} -doc" PYTHON_TARGETS="python2_7 python3_4 -pypy -pypy3 -python3_5" 
[ebuild   R   ] dev-python/gevent-1.0.1  USE="-doc -examples" PYTHON_TARGETS="python2_7" 

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.